#!/usr/bin/env python3

import operator
import os
import time

SRC_WDTV = "/media/facundo/Passport/Permanente"
SRCS_GUARDAR = [
    "/crudo/pelis-guardar/",
    "/data/pelis-guardar/",
    "/backup/pelis-guardar/",
    "/massive/pelis/guardar/",
    "/massive/series/vistas/",
]
ONLY_WDTV_OK = {"Casamiento",}
ONLY_REFERENCE_OK = {"hist.txt", ".hist.txt.swp", "infantiles"}

indwtv = {}
for item in os.listdir(SRC_WDTV):
    mtime = os.stat(os.path.join(SRC_WDTV, item)).st_mtime
    indwtv[item] = mtime

reference = set()
for direct in SRCS_GUARDAR:
    reference.update(os.listdir(direct))

print("Only in WDTV:")
for item, mtime in sorted(indwtv.items(), key=operator.itemgetter(1)):
    if item not in reference and item not in ONLY_WDTV_OK:
        t = time.strftime("%Y-%m-%d", time.gmtime(mtime))
        print("  ", t, item)

print("Only in reference:")
for item in sorted(reference - set(indwtv)):
    if item not in ONLY_REFERENCE_OK:
        print(item)
